#!/usr/bin/env ansible-playbook
---

- name: "Get ceph admin config"
  hosts:
    - mons
  become: yes
  tasks:
    # - name: Ensure that the apt cache is updated
    #   apt:
    #     update_cache: yes
    #   register: apt_res
    #   retries: 5
    #   until: apt_res is success
    #   when: ansible_os_family == "Debian"

    - name: retrieve files
      block:
        - name: Remove local directory /tmp/ceph
          file:
            path: /tmp/ceph
            state: absent
          delegate_to: 127.0.0.1

        # - name: get files from /etc/ceph to fetch
        #   find:
        #     paths: "/etc/ceph"
        #     recurse: no
        #     patterns: "*"
        #   register: files_to_copy

        # - name: retrieve ceph config
        #   fetch:
        #     src: "{{ item.path }}"
        #     dest: "/tmp/ceph/"
        #     flat: yes
        #   with_items: "{{ files_to_copy.files }}"

        - name: Fetch stuff from the remote and save to local
          synchronize:
            src: "/etc/ceph"
            dest: /tmp/
            mode: pull

      when: "inventory_hostname == groups['mons'][0]"
